{
  "schema_version": "1.4.0",
  "id": "GHSA-wj8g-27x5-crw6",
  "modified": "2022-05-17T00:44:58Z",
  "published": "2022-05-17T00:44:58Z",
  "aliases": [
    "CVE-2008-5286"
  ],
  "details": "Integer overflow in the _cupsImageReadPNG function in CUPS 1.1.17 through 1.3.9 allows remote attackers to execute arbitrary code via a PNG image with a large height value, which bypasses a validation check and triggers a buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2008-5286"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/46933"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10058"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2009-01/msg00004.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/32962"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/33101"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/33111"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/33568"
    },
    {
      "type": "WEB",
      "url": "http://svn.easysw.com/public/cups/trunk/CHANGES-1.3.txt"
    },
    {
      "type": "WEB",
      "url": "http://www.cups.org/str.php?L2974"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2008/dsa-1677"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200812-01.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200812-11.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2009:028"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2009:029"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2008/12/01/1"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2008-1028.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/32518"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1021298"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2008/3315"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2008-12-01T15:30:00Z"
  }
}